Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class ProcessInstanceLog

    java.lang.Object
      org.jbpm.process.audit.ProcessInstanceLog

All Implemented Interfaces:
  Serializable, AuditEvent, ProcessInstanceLog

    @Entity
    public class ProcessInstanceLog

extends Object
implements Serializable, AuditEvent, ProcessInstanceLog

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceLog()`
`ProcessInstanceLog(long processInstanceId, String processId)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getDuration()` Amount of time (in milliseconds) that process instance took to complete.
`Date` | `getEnd()` End date of this process instance, null if process instance is still active
`String` | `getExternalId()` External (optional) identifier associated with this process instance
`long` | `getId()`
`String` | `getIdentity()` Identifier of a entity (user) who initiated this process instance.
`String` | `getOutcome()` Outcome of the process instance that is providing error information in case process instance completed with an error
`Long` | `getParentProcessInstanceId()` Parent process instance id, will be null for top level process instance
`String` | `getProcessId()` Process id of the definition
`String` | `getProcessInstanceDescription()`
`Long` | `getProcessInstanceId()` Process instance identifier
`String` | `getProcessName()` Name of the process definition
`String` | `getProcessVersion()` Version of the process definition
`Date` | `getStart()` Start date of this process instance
`Integer` | `getStatus()` Status of the process instance and might be one of: ProcessInstance.STATE_ACTIVE ProcessInstance.STATE_COMPLETED ProcessInstance.STATE_ABORTED ProcessInstance.STATE_SUSPENDED
`int` | `hashCode()`
`void` | `setDuration(Long duration)`
`void` | `setEnd(Date end)`
`void` | `setExternalId(String domainId)`
`void` | `setIdentity(String identity)`
`void` | `setOutcome(String errorCode)`
`void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceDescription(String processInstanceDescription)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setProcessName(String processName)`
`void` | `setProcessVersion(String version)`
`void` | `setStart(Date start)`
`void` | `setStatus(int status)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceLog

    public ProcessInstanceLog()

### ProcessInstanceLog

    public ProcessInstanceLog(long processInstanceId,
                              String processId)

Method Detail

### getId

    public long getId()

### getProcessInstanceId

    public Long getProcessInstanceId()

  Description copied from interface: `ProcessInstanceLog`
  Process instance identifier

  Specified by:
    `getProcessInstanceId` in interface `AuditEvent`
  Specified by:
    `getProcessInstanceId` in interface `ProcessInstanceLog`
  Returns:

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### getProcessId

    public String getProcessId()

  Description copied from interface: `ProcessInstanceLog`
  Process id of the definition

  Specified by:
    `getProcessId` in interface `AuditEvent`
  Specified by:
    `getProcessId` in interface `ProcessInstanceLog`
  Returns:

### setProcessId

    public void setProcessId(String processId)

### getStart

    public Date getStart()

  Description copied from interface: `ProcessInstanceLog`
  Start date of this process instance

  Specified by:
    `getStart` in interface `ProcessInstanceLog`
  Returns:

### setStart

    public void setStart(Date start)

### getEnd

    public Date getEnd()

  Description copied from interface: `ProcessInstanceLog`
  End date of this process instance, null if process instance is still active

  Specified by:
    `getEnd` in interface `ProcessInstanceLog`
  Returns:

### setEnd

    public void setEnd(Date end)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getStatus

    public Integer getStatus()

  Description copied from interface: `ProcessInstanceLog`
  Status of the process instance and might be one of:
  - ProcessInstance.STATE_ACTIVE
  - ProcessInstance.STATE_COMPLETED
  - ProcessInstance.STATE_ABORTED
  - ProcessInstance.STATE_SUSPENDED

  Specified by:
    `getStatus` in interface `ProcessInstanceLog`
  Returns:

### setStatus

    public void setStatus(int status)

### getParentProcessInstanceId

    public Long getParentProcessInstanceId()

  Description copied from interface: `ProcessInstanceLog`
  Parent process instance id, will be null for top level process instance

  Specified by:
    `getParentProcessInstanceId` in interface `ProcessInstanceLog`
  Returns:

### setParentProcessInstanceId

    public void setParentProcessInstanceId(long parentProcessInstanceId)

### getOutcome

    public String getOutcome()

  Description copied from interface: `ProcessInstanceLog`
  Outcome of the process instance that is providing error information in case process instance completed with an error

  Specified by:
    `getOutcome` in interface `ProcessInstanceLog`
  Returns:

### setOutcome

    public void setOutcome(String errorCode)

### getDuration

    public Long getDuration()

  Description copied from interface: `ProcessInstanceLog`
  Amount of time (in milliseconds) that process instance took to complete. Available only when process instance is completed.

  Specified by:
    `getDuration` in interface `ProcessInstanceLog`
  Returns:

### setDuration

    public void setDuration(Long duration)

### getIdentity

    public String getIdentity()

  Description copied from interface: `ProcessInstanceLog`
  Identifier of a entity (user) who initiated this process instance.

  Specified by:
    `getIdentity` in interface `ProcessInstanceLog`
  Returns:

### setIdentity

    public void setIdentity(String identity)

### getExternalId

    public String getExternalId()

  Description copied from interface: `ProcessInstanceLog`
  External (optional) identifier associated with this process instance

  Specified by:
    `getExternalId` in interface `AuditEvent`
  Specified by:
    `getExternalId` in interface `ProcessInstanceLog`
  Returns:

### setExternalId

    public void setExternalId(String domainId)

### getProcessVersion

    public String getProcessVersion()

  Description copied from interface: `ProcessInstanceLog`
  Version of the process definition

  Specified by:
    `getProcessVersion` in interface `ProcessInstanceLog`
  Returns:

### setProcessVersion

    public void setProcessVersion(String version)

### getProcessName

    public String getProcessName()

  Description copied from interface: `ProcessInstanceLog`
  Name of the process definition

  Specified by:
    `getProcessName` in interface `ProcessInstanceLog`
  Returns:

### setProcessName

    public void setProcessName(String processName)

### getProcessInstanceDescription

    public String getProcessInstanceDescription()

### setProcessInstanceDescription

    public void setProcessInstanceDescription(String processInstanceDescription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.